Форум русскоязычного сообщества Ubuntu


Следите за новостями русскоязычного сообщества Ubuntu в Twitter-ленте @ubuntu_ru_loco

Автор Тема: Почему при работе программы сыпется пачка ошибок?  (Прочитано 3336 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн hoz

  • Автор темы
  • Новичок
  • *
  • Сообщений: 37
    • Просмотр профиля
Я установил QOwnNotes
Не сказать, чтобы идеал, но.. около того, что можно применять т.к. лучшей записной книжки с древовидной структурой не нашлось под линукс.
Так вот при её запуске и при работе вылит пачка ошибок. Неужели это нормально в линуксе?
Вот скрин.



Стрёмно как-то доверять данные программе, которая выкидывает ошибки пачками..

Пользователь добавил сообщение 08 Марта 2020, 03:47:52:
Установил ещё одно приложение cherrytree, которое тоже является записной книжкой.
При запуске вижу:
hoz@hoz-VirtualBox:~/Downloads/tomboy-1.15.9$ cherrytree
Gtk-Message: 03:44:53.750: Failed to load module "gail"
Gtk-Message: 03:44:53.751: Failed to load module "atk-bridge"
Gtk-Message: 03:44:53.796: Failed to load module "canberra-gtk-module"
missing /home/hoz/snap/cherrytree/5/.config/cherrytree/config.cfg
^CTraceback (most recent call last):
  File "/snap/cherrytree/5/bin/cherrytree", line 114, in <module>
    f_main(args)
  File "/snap/cherrytree/5/bin/cherrytree", line 79, in f_main
    main.main(args)
  File "/snap/cherrytree/5/share/cherrytree/modules/main.py", line 258, in main
    gtk.main()
KeyboardInterrupt
hoz@hoz-VirtualBox:~/Downloads/tomboy-1.15.9$
Оно вообще как-то лечится?
Хочу перейти на линукс основательно. Но меня пугает наличие ошибок в каждой программе..

Пользователь добавил сообщение 08 Марта 2020, 03:54:14:
Те же ошибки, что и в cherrytree, наблюдаются и в программе OutWiker:
hoz@hoz-VirtualBox:~/Downloads/tomboy-1.15.9$ outwiker
Gtk-Message: 03:52:31.553: Failed to load module "canberra-gtk-module"
Gtk-Message: 03:52:31.595: Failed to load module "canberra-gtk-module"
03:52:32 AM: Debug: Failed to connect to session manager: None of the authentication protocols specified are supported
^C
hoz@hoz-VirtualBox:~/Downloads/tomboy-1.15.9$
« Последнее редактирование: 08 Марта 2020, 03:54:15 от hoz »

Оффлайн ALiEN

  • Администратор
  • Старожил
  • *
  • Сообщений: 6725
  • 20% Cooler
    • Просмотр профиля
Не ошибки, а скорее предупреждения. На работу приложения обычно не влияют.

Пользователь добавил сообщение 08 Марта 2020, 04:23:15:
(Нажмите, чтобы показать/скрыть)
« Последнее редактирование: 08 Марта 2020, 04:23:15 от ALiEN175 »
🖥 AsRock B550M Pro4 :: AMD Ryzen 5 3600 :: 16 GB DDR4 :: AMD Radeon RX 6600 :: XFCE
💻 ACER 5750G :: Intel Core i5-2450M :: 6 GB DDR3 :: GeForce GT 630M :: XFCE

Оффлайн hoz

  • Автор темы
  • Новичок
  • *
  • Сообщений: 37
    • Просмотр профиля
Не ошибки, а скорее предупреждения. На работу приложения обычно не влияют.
Так неужели canberra-gtk-module никак не исправить вообще?

Как "виндузятник со стажем" скажу, процесс не быстрый. Что-то всегда будет не так, непривычно, итд. Windows пока что не удаляйте ни в коем случае, старайтесь использовать обе системы.
Обе не вариант. Проверю некоторые нужные аналоги и сбегаю. А почему не переходить конкретно? Не стабильная система что-ли? Если я особо ничего не буду устанавливать лишнего, что с ней будет? Я не говорю, о роллинг релизе, а о версии LTS. Надеюсь, она так не должна сыпаться, как роллинговая.

Оффлайн ALiEN

  • Администратор
  • Старожил
  • *
  • Сообщений: 6725
  • 20% Cooler
    • Просмотр профиля
ак неужели canberra-gtk-module никак не исправить вообще?
Что исправлять? Вы в журналы windows загляните на досуге.

А почему не переходить конкретно?
Уже сказал, что будет непривычно. Впрочем, не навязываю. Личное ИМХО.

Я не говорю, о роллинг релизе, а о версии LTS.
У Ubuntu нет роллинг-релиза.
🖥 AsRock B550M Pro4 :: AMD Ryzen 5 3600 :: 16 GB DDR4 :: AMD Radeon RX 6600 :: XFCE
💻 ACER 5750G :: Intel Core i5-2450M :: 6 GB DDR3 :: GeForce GT 630M :: XFCE

Оффлайн hoz

  • Автор темы
  • Новичок
  • *
  • Сообщений: 37
    • Просмотр профиля
У Ubuntu нет роллинг-релиза.
Как это нет? Заходим на страницу https://ubuntu.com/download/desktop и видим:
Ubuntu 18.04.4 LTS - стабильная версия
Ubuntu 19.10 - по логике, роллинг

У винды, тоже есть редакция LTSB. Там и обновления не навязываются и меньше всякого мусора в системе. А обычая версия заставляется обновляться и пользоваться всякой левотой, которую даже отключить нет возможности. В подробности не буду вдаваться. Кто сталкивался, тот поймёт. Да и не по теме, здесь винду обсуждать.

Что исправлять? Вы в журналы windows загляните на досуге.
Я имею ввиду, раз уж ошибка canberra-gtk-module сыпется в каждой программе, значит это вопрос не к разработчику программы а к операционной системе. И, кстати, те же программы на других Linux-системах также ругаются. Имевте виду те, которые запускаются. Но на убунте практически всё запускается, чего не скажешь о других дистрибутивах.
Я к тому, что если ошибка присутствует, то она на что-то влияет. Странно утверждать обратное. Другое дело ошибка, связанная с canberra-gtk-module это не критическая ошибка с точки зрения надёжности т.к. gtk это, как я понимаю, графика пользовательского окружения. Но всё-равно, интересно

Пользователь добавил сообщение 08 Марта 2020, 12:55:35:
ALiEN175, вот вы говорите ошибки не влияют и посмотреть в лог винды. Но в винде то такого я, в тех же программах, не встречаю, что бы не сохранялись данные в программе или типа того. Я винду не оправдываю. Мне видна уже опротивилиа. Но, это факт.
Вот я из тех 3 вышеперечисленных программ, решил протестировать OutWiker.
При запуске вижу в консоли:
hoz@hoz-VirtualBox:~/Downloads/tomboy-1.15.9$ outwiker
Gtk-Message: 12:48:02.531: Failed to load module "canberra-gtk-module"
Gtk-Message: 12:48:02.538: Failed to load module "canberra-gtk-module"
12:48:02 PM: Debug: Failed to connect to session manager: None of the authentication protocols specified are supported
Если по строчкам, связанным с gtk никто не смог мне объяснить, до сих пор, решение, а спрашивал я уже много у кого, но это, как я выше отписал не критично, то последняя строчка:
12:48:02 PM: Debug: Failed to connect to session manager: None of the authentication protocols specified are supportedявляется критичной. Это реально критическая ошибка. Т.к. она связана с не возможностью подконектится к сессии. Впрочем, далее это всё будет видно.

Запускаю, хочу создать новую базу данных (файл) для хранения заметок. Вижу, как программа вываливает ошибку прямо в графическом интерфейсе пользователя:



В момент возникновения ошибки в консоли вижу:
(runoutwiker.py:13301): GLib-GIO-WARNING **: 12:49:17.129: Error creating IO channel for /proc/self/mountinfo: Permission denied (g-file-error-quark, 2)
ERROR      2020-03-08 12:49:24,669   outwiker.core.notestreeregistry - registrynotestree - Error reading a notes tree registry
WARNING    2020-03-08 12:49:24,670   outwiker.core.notestreeregistry - registrynotestree - Invalid notes tree registry version
В прочем, есс-но. Если сессия нормально не создалась, стабильная работа приложения, навряд ли, будет.
« Последнее редактирование: 08 Марта 2020, 12:55:35 от hoz »

Оффлайн Виктop

  • Участник
  • *
  • Сообщений: 244
    • Просмотр профиля
hoz,
Подобные ошибки часто сыпятся при установке программ не из репов Ubuntu, проще говоря они под неё не заточены.
canberra-gtk-module - устаревший модуль, но его всё ещё можно установить.
Error creating IO channel for /proc/self/mountinfo: Permission denied (g-file-error-quark, 2) - ошибка создания канала ввода вывода для /proc/self/mountinfo: В доступе отказано. /proc/self/mountinfo - системный файл, читать его скорее всего может каждый, но изменять только root, а может и вообще никому нельзя изменять. Возможно эта прога требует запуска от root? Но для чего редактору заметок root?

Оффлайн ALiEN

  • Администратор
  • Старожил
  • *
  • Сообщений: 6725
  • 20% Cooler
    • Просмотр профиля
Ubuntu 18.04.4 LTS - стабильная версия
Ubuntu 19.10 - по логике, роллинг
Нет.
Запускаю, хочу создать новую базу данных (файл) для хранения заметок. Вижу, как программа вываливает ошибку прямо в графическом интерфейсе пользователя:
Поставьте не через snap.
🖥 AsRock B550M Pro4 :: AMD Ryzen 5 3600 :: 16 GB DDR4 :: AMD Radeon RX 6600 :: XFCE
💻 ACER 5750G :: Intel Core i5-2450M :: 6 GB DDR3 :: GeForce GT 630M :: XFCE

Оффлайн hoz

  • Автор темы
  • Новичок
  • *
  • Сообщений: 37
    • Просмотр профиля
Поставьте не через snap.
Программа видимо кривая. Я уже нашёл Zim. В принципе, весьма то, что нужно. Поэтому на данный момент, моно забить на те ошибки.

А вот под роллингу не совсем понятно. Если Ubuntu, действительно, не придерживается роллинг релиза, тогда зачем делёжка на KTS и обычную?
В любом случае, работать будет и та и так до определённого времени. Если разницы в стабильности нет, то смысл в чём?
Про роллинг я подумал потому, что ещё пару лет назад когда я установил первую систему. Тогда это была Ubuntu обычная. Она у меня запросила обновится сразу же после установки свежескаченного релиза. Я нажал мол обновляйся! Но и всё. Конечная. Система обновилась и после мгновенной перезагрузки после апдейта она уже не загрузилась. На том момент я её снёс  ушёл на арч. Там такого не случалось ни разу. Но вот сейчас, я всё-таки по  некоторым причинам решил вернуться. И выбрал на Ubuntu, именно, LTS-редакцию в надежде, что больше таких косяков не случится.

Пользователь добавил сообщение 08 Марта 2020, 15:56:37:
Подобные ошибки часто сыпятся при установке программ не из репов Ubuntu, проще говоря они под неё не заточены.
canberra-gtk-module - устаревший модуль, но его всё ещё можно установить.
Интересно, а как это сделать? Интересно, что программа то обновляется и даже в феврале апдейт был. А модуль не актуальный. Странно..

Error creating IO channel for /proc/self/mountinfo: Permission denied (g-file-error-quark, 2) - ошибка создания канала ввода вывода для /proc/self/mountinfo: В доступе отказано. /proc/self/mountinfo - системный файл, читать его скорее всего может каждый, но изменять только root, а может и вообще никому нельзя изменять. Возможно эта прога требует запуска от root? Но для чего редактору заметок root?
Вопрос не ко мне. Я ещё только присматриваюсь к линуксу. Но, обратитие внимание на это:
hoz@hoz-VirtualBox:~$ sudo zim
Gtk-Message: 15:52:12.283: Failed to load module "canberra-gtk-module"
WARNING: Could not find all icon sizes for the application icon
hoz@hoz-VirtualBox:~$ zim
Gtk-Message: 15:52:35.499: Failed to load module "gail"
Gtk-Message: 15:52:35.506: Failed to load module "canberra-gtk-module"

** (zim:3574): WARNING **: 15:52:35.506: (../atk-adaptor/bridge.c:993):atk_bridge_adaptor_init: runtime check failed: (root)
WARNING: Could not find all icon sizes for the application icon
hoz@hoz-VirtualBox:~$
Из под рута ошибка одна исчезает. Остаётся лишь та, которая связана с gtk. Почему мне тоже интересно. Это вопрос к более опытным пользователям линукса.

Пользователь добавил сообщение 08 Марта 2020, 16:20:01:
Например, вот здесь по этому поводу написано https://askubuntu.com/questions/548557/how-to-install-gail-and-atk-bridge
Впрочем, тоже не даёт никаких результатов.
« Последнее редактирование: 08 Марта 2020, 16:20:01 от hoz »

Оффлайн Виктop

  • Участник
  • *
  • Сообщений: 244
    • Просмотр профиля
hoz, Хотите дам маленький совет? Не заморачивайтесь на ошибках выдаваемых в терминале, главное, это работа программы. Ошибки выдаваемые в терминале при работе программы нужны людям с глубоким пониманием системы и программистам. Многие ошибки вообще ни как не сказываются на работе программ.

В программировании есть такое понятие - совместимость. В данном случае программа должна быть совместима как со старыми, так и с новыми системами. Для этой совместимости часто требуется пытаться загружать устаревшие модули. Реализуется это примерно так: загружаем устаревший модуль, если загрузился, значит работать будем с ним, а если ошибка - загружаем более свежий модуль. На самом деле примеров можно привести огромное количество, но конкретно для Вас важен конечный результат, а именно работоспособность программы. Так же возможны кривые программы, да и сама Ubuntu или графические оболочки иногда подкидывают проблем.

Оффлайн hoz

  • Автор темы
  • Новичок
  • *
  • Сообщений: 37
    • Просмотр профиля
hoz, Хотите дам маленький совет? Не заморачивайтесь на ошибках выдаваемых в терминале, главное, это работа программы. Ошибки выдаваемые в терминале при работе программы нужны людям с глубоким пониманием системы и программистам. Многие ошибки вообще ни как не сказываются на работе программ.
Да я понимаю это. Но та программа, как раз таки, и не работает. Хотя, находится в официальном репозитории. Это дико..

В программировании есть такое понятие - совместимость. В данном случае программа должна быть совместима как со старыми, так и с новыми системами. Для этой совместимости часто требуется пытаться загружать устаревшие модули. Реализуется это примерно так: загружаем устаревший модуль, если загрузился, значит работать будем с ним, а если ошибка - загружаем более свежий модуль. На самом деле примеров можно привести огромное количество, но конкретно для Вас важен конечный результат, а именно работоспособность программы. Так же возможны кривые программы, да и сама Ubuntu или графические оболочки иногда подкидывают проблем.
Я это прекрасно понимаю. Сам программист. Но не понятно одно. Как они вообще пишут программы такие кривые, не проверяя их вообще. Криворукие какие-то разработчики. Тот же Zim на опенсусе или арче не запускается даже. На Ubuntu ругается. Интересно, на нём можно было проверять тогда вообще программу. Ведь, я навал самые популярные направления дистрибутивов.
Но, интересно другое. Ведь когда пишешь код, например, на Java. Компилятор проверяет наличие всех библиотек, классов фреймворка,, включений типа картинок и тд. А тут получается, он написал код, не проверил ничего или не выставил зависимость и забил болт.
По сути, если зависимости нет, программа вообще не должна устанавливаться и. тем более, попадать в официальный репозиторий, дабы не позорить сообщество операционной системы.
Это моё личное мнение. Реально, хочу перебраться на линь, но подобные вопросы с поиском программ напрягаю.

Оффлайн Виктop

  • Участник
  • *
  • Сообщений: 244
    • Просмотр профиля
hoz, Только что установил Zim Desktop Wiki, это он? У меня запустился без какой либо ругани, вообще чисто.
Попробуйте удалить свой Zim и установить из центра приложений, как это сделал я.

Оффлайн hoz

  • Автор темы
  • Новичок
  • *
  • Сообщений: 37
    • Просмотр профиля
Виктop, какое у вас окружение? Я из репозитория стандартного утсанавливал..

Оффлайн Виктop

  • Участник
  • *
  • Сообщений: 244
    • Просмотр профиля
hoz, Lubuntu 18.04 и Xubuntu 18.04, но я сомневаюсь, что причина в окружении, ибо это явление очень редкое и обычно в первую очередь всё подгоняют именно под Ubuntu. Скорее всего Вы сами где то, что то наколдовали.

Если не лень, то для проверки можно попробовать проделать следующее:
я так понимаю, у Вас виртуальная машина? Попробуйте создать новую виртуальную машину для теста, установите туда новую Ubuntu и попробуйте установить Zim
« Последнее редактирование: 08 Марта 2020, 18:34:51 от Виктop »

Оффлайн hoz

  • Автор темы
  • Новичок
  • *
  • Сообщений: 37
    • Просмотр профиля
Виктop, я откатился к предыдущему состоянию. Записал видео 1.5 минуты, где виден процесс. Вот ссылка на него https://youtu.be/UKoQzdkuPF8.
« Последнее редактирование: 08 Марта 2020, 19:35:27 от hoz »

Оффлайн soarin

  • Старожил
  • *
  • Сообщений: 1850
  • ubuntu 20.04
    • Просмотр профиля
Программа видимо кривая. Я уже нашёл Zim. В принципе, весьма то, что нужно. Поэтому на данный момент, моно забить на те ошибки.

Хорошая альтернатива 🙂 Сайт что-то лежит даже
http://zim-wiki.org

 

Страница сгенерирована за 0.054 секунд. Запросов: 24.